Subject: Re: [PATCH v2 8/9] doc: git-http-push: describe the refs as pattern pairs

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Oct 2021 10:55:25 -0700

"Jean-Noël Avila via GitGitGadget"  <[email-masked]> writes:

> -Each pattern pair consists of the source side (before the colon)
> -and the destination side (after the colon).  The ref to be
> -pushed is determined by finding a match that matches the source
> -side, and where it is pushed is determined by using the
> -destination side.
> +Each pattern pair '<src>:<dst>' consists of the source side (before
> +the colon) and the destination side (after the colon).  The ref to be
> +pushed is determined by finding a match that matches the source side,
> +and where it is pushed is determined by using the destination side.

Looks good.  It is unfortunate that this does not share the text
with description of refspec in "git push" documentation page, but
let's not worry about it too much.  I think we will probably start
talking about deprecating "git http-push".  Who still uses it and
why, I do not think of a good reason offhand.

Thanks.